Subject: Re: help !! (newbee problem)
From: [email-masked] (Scott Warner)

3 Nov 1997 05:07:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Your problem is you have to link the Win32 libraries.  Try adding

-luser32 -lgdi32

to your compilation command line.  To remove the console window add

-Wl,--subsystem,windows

where W is followed by a lowercase L.

----------
> From: casteeld <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: help !!   (newbee problem)
> Date: Sunday, November 02, 1997 1:21 PM
> 
> First let me say thanks to all who devote thier time to helping
> newcomers 
> like me to learn this stuff.
> 
>
____________________________________________________________________________

__
> 
> I think my system is set up properly according to the READ.ME file
> I have sucessfuly compiled and run the "Hello.c" program.
> 
> My next step was to attempt to compile the sample file from 
> 	http://www.relisoft.com/win32/winnie.html
> 
> Below are the setup steps, command line, and results
> 
> I must be missing something in the command line because I get
> similar results from other sample programs I try to run.
> Seems to be related to anything with an #include statement.
> 
> btw...... what is the STRICT compilation flag ?
> I've looked all over trying to find out how to use it and can't find 
> anything except the note that it must be used for compiling windows
> files
> 
>
____________________________________________________________________________

__
> 
> C:\>PATH=C:\WINDOWS\SYSTEM32;C:\WINDOWS;c:\bat;C:\DOS;c:\scsi
> 
> C:\>gnupath
> 
>
C:\>PATH=C:\WINDOWS\SYSTEM32;C:\WINDOWS;c:\bat;C:\DOS;c:\scsi;C:\gnuwin32\b1

8\H-i386-cygwin32\bin
> 
> C:\>SET GCC_EXEC_PREFIX=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
> 
> C:\>SET LIBRARY_PATH=C:\gnuwin32\b18\H-i386-cygwin32\lib;
> 
>
C:\>PATH=C:\WINDOWS\SYSTEM32;C:\WINDOWS;c:\bat;C:\DOS;c:\scsi;C:\gnuwin32\b1

8\H-i386-cygwin32\bin;C:\gnuwin32\b18\tcl\bin
> 
> C:\>SET TCL_LIBRARY=C:/gnuwin32/b18/tcl/lib/tcl7.6
> 
> C:\>SET GDBTK_LIBRARY=C:/gnuwin32/b18/share/gdbtcl
> 
> C:\>g++ -o .\tmp\winnie.exe .\tmp\winnie.cpp
> C:\TMP\cc0010001.o(.text+0x8f):winnie.cc: undefined reference to
> `GetMessageA@16'
> C:\TMP\cc0010001.o(.text+0xa1):winnie.cc: undefined reference to
> `DispatchMessageA@4'
> C:\TMP\cc0010001.o(.text+0xea):winnie.cc: undefined reference to
> `LoadCursorA@8'
> C:\TMP\cc0010001.o(.text+0x149):winnie.cc: undefined reference to
> `CreateWindowExA@48'
> C:\TMP\cc0010001.o(.text+0x16d):winnie.cc: undefined reference to
> `PostQuitMessage@4'
> C:\TMP\cc0010001.o(.text+0x187):winnie.cc: undefined reference to
> `DefWindowProcA@16'
> C:\TMP\cc0010001.o(.text+0x1ac):winnie.cc: undefined reference to
> `ShowWindow@8'
> C:\TMP\cc0010001.o(.text+0x1b4):winnie.cc: undefined reference to
> `UpdateWindow@4'
> C:\TMP\cc0010001.o(.text+0x1c9):winnie.cc: undefined reference to
> `RegisterClassA@4'
> g++: Internal compiler error: program ld got fatal signal 1
> 
> C:\>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".